Subject: Re: Board based on MPC7447 and MV64462

From: "Mark A. Greer" <[email-masked]>
Date: Thu, 27 Oct 2005 13:11:05 -0700

On Thu, Oct 27, 2005 at 01:04:47PM -0700, Mark A. Greer wrote:
> On Thu, Oct 27, 2005 at 08:49:21PM +0200, Sven Luther wrote:
> > On Thu, Oct 27, 2005 at 11:17:51AM -0700, Mark A. Greer wrote:
> > > On Thu, Oct 27, 2005 at 06:47:29PM +0530, Ashish Bijlani wrote:
> > > > Hi,
> > > > 
> > > > I've added platform support for a board based on MPC7447A and MV64462
> > > > Marvell Discovery III system controller. I modified code for Katana to make
> > > > it work for this board. The ethernet and serial are working fine but I don't
> > > > see anything in "lspci" output.
> > > 
> > > Do you have any pci devices?  If not, then that's to be expected.
> > > If you do, then you have something messed up in your code and they
> > > aren't being found.
> > 
> > They should at least shgow the northbridge pci ids, no ? 
> 
> No b/c the regs for the bridge are not pci compliant so the bridge is
> "excluded" or hidden from the generic pci code (which is where lspci
> gets its info from).  If it wasn't, the generic pci code would get
> confused as would the bridge.

Actually, I guess this is more to hide the bridge from the pci_auto when
it walks the pci buses.  If the pci resources are already allocated
correctly (as in pegasos?) it may not confuse the generic pci code.
Even if it doesn't get confused, its by luck.  The bridge's pci regs
are NOT pci compliant and, IMHO, its iffy to assume that things woun't
get messed up.

Mark